Bug 82183 - Unable to open home folder in nautilus
Unable to open home folder in nautilus
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
:
: 78503 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-19 03:52 EST by Pavel
Modified: 2015-01-07 19:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:40:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of strace during attempt to open /home (86.90 KB, text/plain)
2003-01-19 03:54 EST, Pavel
no flags Details

  None (edit)
Description Pavel 2003-01-19 03:52:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3b) Gecko/20030118

Description of problem:
After a session is running for a long time (few days) clicking on 'home' icon
does not open nautilus. ps shows nautilus-throbber process running. I can open
either trash or 'Start Here' folders, and any folder (including NFS mounted)
which is not under '/home', by typing its name in location bar. Whenever I type
'/home' or '/home/username', I just see a rotating icon, and nothing happens.
/home dir is NOT mounted (everything is on a single root partition). Also, I'm
logging on from a remote computer (haven't tried from local). Same problem
happend with both nautilus-2.1.5 (shipped with phoebe) and 2.1.6 (rawhide).
Haven't tried 2.1.90 yet.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Leave gnome session for a long time (few days)
2.
3.
    

Actual Results:  Double click on Home icon does not open nautilus

Expected Results:  Open home dir.

Additional info:
Comment 1 Pavel 2003-01-19 03:54:56 EST
Created attachment 89436 [details]
output of strace during attempt to open /home
Comment 2 Alexander Larsson 2003-01-21 07:41:25 EST
This is very strange. I have no idea whats causing it. But i remember someone
else reporting something very similar.
Comment 3 Pavel 2003-04-09 13:13:08 EDT
I just encountered the same problem with shrike.
Comment 4 Ryan Denlinger 2003-09-04 01:52:37 EDT
I get the same problem with Nautilus under gnome-session, especially after
running Mozilla/OpenOffice.org/etc, after a few hours. I think the problem is
memory: I am running on only 128mb. (horror) on sis hardware (more horror) (no
sisfb or sis_dri.so) with redhat 9 (fully up2date, 3 sept. 2003).

If I open up a Failsafe session and start "metacity" and "nautilus -n" the
problem seems to disappear, that is, I can wait a while (few hours), open
Mozilla, Evolution, etc., and still open the Home Folder from the desktop. Of
course, I haven't left it running for a few days! However, the period during
which I can bring up a new window is definitely increased by doing this.

One temporary solution I've discovered is to edit
/usr/share/gnome/default.session so that Nautilus opens up a default window. If
I just leave it open, eventually it will stop reading dirs. I can close it, open
another window (most of the time) and continue working. Additionally, if that
doesn't work, I can sometimes open up the Trash, enter "/" in the Location bar,
and navigate to my home directory.
Comment 5 Don Himelrick 2003-09-19 12:25:31 EDT
I've got the same problem with a very up2date RH9.  No matter how I try to open
my home directory from within it, nothing happens.  That is, I can open
subdirectories of my home directory just fine, but when I try to traverse up the
directory tree to /home/don, nautilus hangs with a rotating thing in the upper
right corner.  However, as noted above, if I come down the directory tree from
above, nautilus opens up my home folder multiple times.   One for each time that
I previously tried, I presume.

Could this be related to bug #88106?
Comment 6 Alexander Larsson 2003-09-22 05:26:08 EDT
Its not related to bug 88106. That one only happens with the listview.
Comment 7 Alexander Larsson 2004-10-04 09:01:33 EDT
This is a long standing bug in nautilus that has been hard to find.
Has anyone seen it in gnome 2.8?
Comment 8 Don Himelrick 2004-10-04 09:50:15 EDT
I don't beleive I've seen this since I've been running Fedora, which
is almost a year now.
Comment 9 Alexander Larsson 2004-10-04 10:00:12 EDT
*** Bug 78503 has been marked as a duplicate of this bug. ***
Comment 10 Bill Nottingham 2006-08-04 23:50:01 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 12 Bill Nottingham 2007-01-02 13:40:20 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.